sdrplay_source_c.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/thread/thread.h>`
`#include <mutex>`
`#include <condition_variable>`
`#include "osmosdr/ranges.h"`
`#include "source_iface.h"`
Include dependency graph for sdrplay_source_c.h:

Go to the source code of this file.

## Classes

class | sdrplay_source_c
| Provides a stream of complex samples. More...

## Typedefs

typedef struct sdrplay_dev | sdrplay_dev_t

## Functions

sdrplay_source_c_sptr | make_sdrplay_source_c (const std::string &args="")
| Return a shared_ptr to a new instance of sdrplay_source_c.

## Typedef Documentation

## sdrplay_dev_t

typedef struct sdrplay_dev sdrplay_dev_t

## Function Documentation

## make_sdrplay_source_c()

sdrplay_source_c_sptr make_sdrplay_source_c | ( | const std::string & | args = `""` | ) |

Return a shared_ptr to a new instance of sdrplay_source_c.

To avoid accidental use of raw pointers, sdrplay_source_c's constructor is private. make_sdrplay_source_c is the public interface for creating new instances.